Skip to main content
POST
/
v1
/
replay-destinations
/
{destinationId}
/
signing-secret
Rotate a destination's signing secret (returns the new one-time secret)
curl --request POST \
  --url https://api.webhook.co/v1/replay-destinations/{destinationId}/signing-secret \
  --header 'Authorization: Bearer <token>'
{
  "destinationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "keyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "signingSecret": "<string>"
}

Authorizations

Authorization
string
header
required

A whk_-prefixed API key (opaque; not a JWT).

Path Parameters

destinationId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

Success.

destinationId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
keyId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
signingSecret
string
required